Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.support
Class InheritedModel

    java.lang.Object
      org.mule.model.AbstractModel
          org.mule.config.support.InheritedModel

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, Model, NamedObject

    public class InheritedModel

extends AbstractModel

TODO

Field Summary

Fields inherited from class org.mule.model.AbstractModel
`DEFAULT_MODEL_NAME, lifecycleManager, logger, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`InheritedModel()`

Method Summary
`String` | `getName()` Gets the name of the object
`String` | `getParentName()`
`String` | `getType()` Returns the model type name.

Methods inherited from class org.mule.model.AbstractModel
`dispose, getEntryPointResolverSet, getExceptionListener, getLifecycleAdapterFactory, getLifecycleState, getMuleContext, initialise, setEntryPointResolvers, setEntryPointResolverSet, setExceptionListener, setLifecycleAdapterFactory, setMuleContext, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InheritedModel

    public InheritedModel()

Method Detail

### getType

    public String getType()

  Description copied from interface: `Model`
  Returns the model type name. This is a friendly identifier that is used to look up the SPI class for the model

  Returns:
    the model type

### getName

    public String getName()

  Description copied from interface: `NamedObject`
  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Overrides:
    `getName` in class `AbstractModel`
  Returns:
    the name of the object

### getParentName

    public String getParentName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.